# smallvec_type.hpp File Reference

Simple vector class that allows allocating an item without the need to copy this->data needlessly. More...

`#include "alloc_func.hpp"`
`#include "math_func.hpp"`

Go to the source code of this file.

## Data Structures
class | SmallVector< T, S >
| Simple vector template class. More...
class | AutoFreeSmallVector< T, S >
| Simple vector template class, with automatic free. More...
## Typedefs
typedef AutoFreeSmallVector < char *, 4 > | StringList

## Detailed Description

Simple vector class that allows allocating an item without the need to copy this->data needlessly.

Definition in file smallvec_type.hpp.